Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08314 Image Enhancement Minor Always May 11, 2022, 20:27 May 17, 2022, 02:27
Tester hexaae View Status Public Platform MAME (Unofficial Binary)
Assigned To Resolution No change required OS Windows 10/11 (64-bit)
Status [?] Resolved Driver
Version 0.243 Fixed in Version Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 08314: OpenGL shaders not applied when prescale 2+
Description I'm not sure it's a bug, but it doesn't happen for D3D HSLS shaders so...

I've noticed when prescale is not = 1, the OpenGL shaders are ignored (not applied):

#
# OSD ACCELERATED VIDEO OPTIONS
#
prescale <n>

<n> MUST be = 1 or GL Shaders won't be applied anymore.
Reproduced on Arcade64.exe 0.243 (Apr 29 2022) (MAME unofficial fork), Windows.
Steps To Reproduce 1. change bitmap prescale option > 1 (e.g. 3)
2. launch a game from MAME
Additional Information How to reproduce this in MAME:

1. Copy "CRT Geom HQ.vsh" and "CRT Geom HQ_rgb32_dir.fsh" from Arcade64\hash to the root of the mame installation.
2. Follow the instructions at https://docs.mamedev.org/advanced/glsl.html to enable GLSL.
3. In mame.ini, set glsl_shader_mame0 to "CRT Geom HQ" (with the quotes)
4. Start mame (I used Captain Commando)
>mame captcomm -video opengl and it will run.
5. Now run mame again, but add the -prescale 2 option, and the shader will be seen to now be disabled.
Github Commit
Flags
Regression Version
Affected Sets / Systems
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.20193
Robbbert
Developer
May 17, 2022, 00:38
In MAME, follow the steps outlined in "Additional Information", and then this was able to be confirmed.
User avatar
No.20196
Robbbert
Developer
May 17, 2022, 02:27
MooglyGuy found the answer which I reproduce here:

- GLSL being disabled when running with prescale != 1 is intentional, in fact MAME even prints a message out to that effect when running with -verbose:
OpenGL: GLSL supported, but disabled due to: prescale !=1